function [s,demand]=gets(p,z)

global I J N chi v0
global y vv b w Z

sumvxy=zeros(I,J);
du=zeros(I,J);
for i=1:I
    for j=1:J
        for n=1:N
            sumvxy(i,j)=sumvxy(i,j)+vv(i)*(z(j,n)-y(i,n))^2;
        end
        du(i,j)=sumvxy(i,j)+w(i)*p(j)+b(i);
    end
end

sumedu=zeros(I,1);
for i=1:I
    for j=1:J
        sumedu(i)=sumedu(i)+exp(-chi*du(i,j));
    end
    sumedu(i)=sumedu(i)+v0;
end

for i=1:I
    for j=1:J
        s(i,j)=exp(-chi*du(i,j))/sumedu(i);
    end
end
