function dvdp = getdvdp(p)

global zcf p_min p_max
J=length(p);
% calculate dv/dp
delta=1e-6;
zpu=( (p'+delta) - p_min*ones(1,J)) ./ ( (p_max-p_min)*ones(1,J) );
zpl=( (p'-delta) - p_min*ones(1,J)) ./ ( (p_max-p_min)*ones(1,J) );
vpu=zcf(:,1,6)*zpu.^4+zcf(:,2,6)*zpu.^3+zcf(:,3,6)*zpu.^2+zcf(:,4,6)*zpu+zcf(:,5,6)*ones(1,J);
vpl=zcf(:,1,6)*zpl.^4+zcf(:,2,6)*zpl.^3+zcf(:,3,6)*zpl.^2+zcf(:,4,6)*zpl+zcf(:,5,6)*ones(1,J);
dvdp=(vpu-vpl)./(2*delta); % dvdp(#segment,#product)