function [G,H]=confun(xpnew,xpall_old)

global y Z c GP J
%m=length(GP.LCSegmentSize);

% get s
x=xpnew(1:14);
znew=getz(x);


%g1  Dial diameter must be less than base width,
%g2  Dial diameter must be less than base length minus spring and plate,
%g3  Length of short lever has to be less than base length,
%g4  Joint position on the long lever must be shorter than the length,
%g5  Rack shorter than base when pivot is rotated 90 deg,
%g6  Rack length must be sufficient to span between pivot and center of dial,
%g7  Long lever must attach to top of scale (Pythagorean Theorem),
%g8  Long lever must attach to base a minimum distance y13 from centerline,
g(1,1)= x(12)-(x(14)-2*y(1));
g(2,1)= x(12)-(x(13)-2*y(1)-x(7)-y(9));
g(3,1)=(x(4)+x(5))-(x(13)-2*y(1));
g(4,1)=x(5)-x(2);
g(5,1)=(x(7)+y(9)+x(11)+x(8))-(x(13)-2*y(1));
g(6,1)=(x(13)-2*y(1))-(0.5*x(12)+y(7))-x(7)-y(9)-x(10) - x(8);
g(7,1)=(x(1)+x(2))^2 - (x(13)-2*y(1)-x(7))^2 - (0.5*x(14)-y(1))^2;
g(8,1)=(x(13)-2*y(1)-x(7))^2+y(13)^2-(x(1)+x(2))^2;

% upper and lower bounds of z
g(9,1)=200-znew(1);    g(10,1)=znew(1)-400;
g(11,1)=0.75-znew(2);  g(12,1)=znew(2)-1.333333333;
g(13,1)=100-znew(3);   g(14,1)=znew(3)-140;
g(15,1)=0.063-znew(4); g(16,1)=znew(4)-0.1875;
g(17,1)=0.75-znew(5);  g(18,1)=znew(5)-1.75;

% function output
H=[];
G=g;
